Package org.eclipse.jface.text

## Class BadPositionCategoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jface.text.BadPositionCategoryException

All Implemented Interfaces:
  `Serializable`

    public class BadPositionCategoryException
    extends Exception

Indicates the attempt to access a non-existing position category in a document.

This class is not intended to be serialized.

See Also:
  `IDocument`, Serialized Form

### Constructor Summary

Constructors
`BadPositionCategoryException()` Creates a new bad position category exception.
`BadPositionCategoryException​(String message)` Creates a new bad position category exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadPositionCategoryException

    public BadPositionCategoryException()

Creates a new bad position category exception.

#### BadPositionCategoryException

    public BadPositionCategoryException​(String message)

Creates a new bad position category exception.

Parameters:
  `message` - the exception's message